Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		lxc
#Epoch:		0
Version:	0.6.5
Release:	1
License:	GNU/LGPLv2	
URL:		http://lxc.sourceforge.net/
Group:		System/Base
Summary:	Linux Resource Containers
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: libcap-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: perl
BuildRequires: pkg-config

%description
Linux Resource Containers provide process and resource isolation without the overhead of full virtualization.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/lxc-busybox
%{_bindir}/lxc-cgroup
%{_bindir}/lxc-checkconfig
%{_bindir}/lxc-checkpoint
%{_bindir}/lxc-console
%{_bindir}/lxc-create
%{_bindir}/lxc-debian
%{_bindir}/lxc-destroy
%{_bindir}/lxc-execute
%{_bindir}/lxc-fedora
%{_bindir}/lxc-freeze
%{_bindir}/lxc-info
%{_bindir}/lxc-ls
%{_bindir}/lxc-monitor
%{_bindir}/lxc-netstat
%{_bindir}/lxc-ps
%{_bindir}/lxc-restart
%{_bindir}/lxc-setcap
%{_bindir}/lxc-sshd
%{_bindir}/lxc-start
%{_bindir}/lxc-stop
%{_bindir}/lxc-unfreeze
%{_bindir}/lxc-unshare
%{_bindir}/lxc-version
%{_bindir}/lxc-wait
%{_libdir}exec/lxc-init
%{_libdir}/liblxc.so.*
%{_docdir}/lxc/examples/lxc-complex.conf
%{_docdir}/lxc/examples/lxc-empty-netns.conf
%{_docdir}/lxc/examples/lxc-macvlan.conf
%{_docdir}/lxc/examples/lxc-no-netns.conf
%{_docdir}/lxc/examples/lxc-phys.conf
%{_docdir}/lxc/examples/lxc-veth.conf
%{_docdir}/lxc/examples/lxc-vlan.conf

%files devel
%defattr(-,root,root)
%{_includedir}/lxc
%{_libdir}/liblxc.so
%{_datadir}/pkgconfig/lxc.pc

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Wed Mar 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.6.5-1
- initial CCux package release
